#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

def perfometer_cisco_asa_temp(row, check_command, perf_data):
    label = perf_data[0][0]
    value = int(perf_data[0][1])
    warn = int(perf_data[0][3])
    crit = int(perf_data[0][4])

    if value >= crit:
        color = "#ff0000"
    elif value >=warn:
        color = "#ffff00"
    else:
        color = "#00ff00"
    return "%d&deg; %s" % (value,label) , perfometer_linear(value, color)

perfometers["check_mk-cisco_asa_temp"] = perfometer_cisco_asa_temp

