#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Author : Th.L.
# Content: wato plugin for snmp check "cisco_asa_temp"
#          to configure waring/critical levels
#
#
register_check_parameters(
    subgroup_environment,
    "cisco_asa_temp",
    _("Cisco ASA temperatur sensor"),
    Tuple(
        title = _("Cisco ASA temperatur sensor thresholds"),
        elements = [
            Integer(title = _("warning at"), unit = _("° celsius"), default_value = 60 ),
            Integer(title = _("critical at"), unit = _("° celsius"), default_value = 70 ),
        ]
    ),
    TextAscii(
        title = _("Check description"),
        help = _("begin of check description without 'Environment:'")
    ),
    None
)

